Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.swt.core.layout
Interface LayoutProvider

All Known Implementing Classes:
  AbstractLayoutProvider, ECPLayoutProvider

    public interface LayoutProvider

By providing an own implementation, the layout of the application can be influenced.

Since:
  1.3
Author:
  Eugen Neufeld

Method Summary
`org.eclipse.swt.widgets.Layout` | `getColumnLayout(int numColumns, boolean equalWidth)` The Layout for aligning controls vertically in columns.
`Object` | `getLayoutData(SWTGridCell gridCell, SWTGridDescription controlGridDescription, SWTGridDescription currentRowGridDescription, SWTGridDescription fullGridDescription, VElement vElement, org.eclipse.emf.ecore.EObject domainModel, org.eclipse.swt.widgets.Control control)` The LayoutData to use.
`Object` | `getSpanningLayoutData(int spanX, int spanY)` A simple spanning Layout.

Method Detail

### getColumnLayout

    org.eclipse.swt.widgets.Layout getColumnLayout(int numColumns,
                                                   boolean equalWidth)

  The Layout for aligning controls vertically in columns.

  Parameters:
    `numColumns` - the number of columns to create
    `equalWidth` - whether the columns should be equal width
  Returns:
    the layout to use

### getLayoutData

    Object getLayoutData(SWTGridCell gridCell,
                         SWTGridDescription controlGridDescription,
                         SWTGridDescription currentRowGridDescription,
                         SWTGridDescription fullGridDescription,
                         VElement vElement,
                         org.eclipse.emf.ecore.EObject domainModel,
                         org.eclipse.swt.widgets.Control control)

  The LayoutData to use.

  Parameters:
    `gridCell` - the current `SWTGridCell`
    `controlGridDescription` - the `SWTGridDescription` of the rendered `VElement`
    `currentRowGridDescription` - the `SWTGridDescription` of the current row
    `fullGridDescription` - the `SWTGridDescription` of the whole container
    `vElement` - the `VElement` which is currently rendered
    `domainModel` - The domain model object whose feature is currently rendered
    `control` - the rendered `Control`
  Returns:
    the Object being the layout data to set
  Since:
    1.6

### getSpanningLayoutData

    Object getSpanningLayoutData(int spanX,
                                 int spanY)

  A simple spanning Layout.

  Parameters:
    `spanX` - the horizontal span
    `spanY` - the vertical span
  Returns:
    the created Layout Data

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.